Last Comment Bug 802470 - Invalidation problem with nested fixed-position elements
: Invalidation problem with nested fixed-position elements
Status: RESOLVED FIXED
: regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: 17 Branch
: x86_64 Windows 7
: -- normal (vote)
: ---
Assigned To: Chris Lord [:cwiiis]
:
: Jet Villegas (:jet)
Mentors:
Depends on: 786740
Blocks: 769541
  Show dependency treegraph
 
Reported: 2012-10-16 20:18 PDT by Mike Nicholls
Modified: 2012-10-19 16:43 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
fixed
unaffected
unaffected


Attachments
invalidation.html (674 bytes, text/html)
2012-10-16 20:18 PDT, Mike Nicholls
no flags Details

Description Mike Nicholls 2012-10-16 20:18:28 PDT
Created attachment 672140 [details]
invalidation.html

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20121010150351

Steps to reproduce:

Opened the attached testcase in Firefox 17 beta, pressed the button.


Actual results:

Seemingly nothing, until the window is resized or select-all is used, revealing the word "Test".


Expected results:

The word "Test" should immediately appear above the button, as it does in Firefox 16.
Comment 1 Alice0775 White 2012-10-16 23:53:19 PDT
Regression window(m-c)
Good:
http://hg.mozilla.org/mozilla-central/rev/ef20925bc2a5
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120725002955
Bad:
http://hg.mozilla.org/mozilla-central/rev/75d16b99e8ab
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120725080455
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=ef20925bc2a5&tochange=75d16b99e8ab

Regression window(m-i)
Good:
http://hg.mozilla.org/integration/mozilla-inbound/rev/eecd3aa199e6
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120724224555
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/79727970b987
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:17.0) Gecko/17.0 Firefox/17.0 ID:20120725000855
Pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=eecd3aa199e6&tochange=79727970b987
Suspected by : Bug 769541



And Fixed in 18.0 and later, but not in 17beta.
(m-c)
Bad:
http://hg.mozilla.org/mozilla-central/rev/b274e8e3479f
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 ID:20120928160219
Fixed:
http://hg.mozilla.org/mozilla-central/rev/b62b229a4d41
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 ID:20120928161018
Fixed pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=b274e8e3479f&tochange=b62b229a4d41
(m-i)
Bad:
http://hg.mozilla.org/integration/mozilla-inbound/rev/9f476b4ac1e1
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 ID:20120928040137
Fixed:
http://hg.mozilla.org/integration/mozilla-inbound/rev/6b58397ad735
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0 ID:20120928042236
Fixed pushlog:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=9f476b4ac1e1&tochange=6b58397ad735
Comment 2 Alex Keybl [:akeybl] 2012-10-17 16:17:40 PDT
Chris - can you take a look at this for FF17? Looks like DLBI fixed this for FF18.
Comment 3 Chris Lord [:cwiiis] 2012-10-18 04:28:04 PDT
Is this not fixed by bug 786740?
Comment 4 Alice0775 White 2012-10-18 05:14:39 PDT
Indeed, I can confirm that bug 786740 fixed this problem.
Fixed range:
http://hg.mozilla.org/releases/mozilla-beta/pushloghtml?fromchange=7ab34cfe4869&tochange=e669a7b1ed5e
Comment 5 Chris Lord [:cwiiis] 2012-10-18 05:32:43 PDT
Bug 786740 has been pushed to both beta and aurora, so marking this as fixed and dependent.

Note You need to log in before you can comment on or make changes to this bug.